GNU bug report logs - #42169
26.1; cperl-mode: Syntax "package NAME { ... }" not recognized

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Harald Jörg <haj@HIDDEN>; Keywords: confirmed; merged with #28640; dated Thu, 2 Jul 2020 19:37:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 28640 42169. Request was from Stefan Kangas <stefankangas@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 42169 <at> debbugs.gnu.org:


Received: (at 42169) by debbugs.gnu.org; 26 Aug 2020 15:58:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 26 11:58:52 2020
Received: from localhost ([127.0.0.1]:40553 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kAxp6-0002Eo-Dk
	for submit <at> debbugs.gnu.org; Wed, 26 Aug 2020 11:58:52 -0400
Received: from mail-yb1-f169.google.com ([209.85.219.169]:34333)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1kAxp4-0002Ec-Ri
 for 42169 <at> debbugs.gnu.org; Wed, 26 Aug 2020 11:58:51 -0400
Received: by mail-yb1-f169.google.com with SMTP id u6so1245657ybf.1
 for <42169 <at> debbugs.gnu.org>; Wed, 26 Aug 2020 08:58:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:in-reply-to:references:mime-version:date:message-id:subject:to
 :content-transfer-encoding;
 bh=HW7fMykvmRW+k4Bny2dMNey8sDQn+zKuQTGe/0YzjFU=;
 b=fAlK+G7zPahNZ877dvZqhQL2Ay21rYU2fHF9NBoW3Q3ZozA88F2lm8hwTMm736KvfJ
 IUmRwB8aXirtRhJpkRrbDJ0BLl29ReCPRP9hfGxDa0V40zENEz5Z1venujRSwnQS3ZKw
 fszEovL83I6Qft4kFnZWdOCXTrDn5iRYmfLrvhT+glWKD2EQ4IvWEnnRT5ibQh0NeyfA
 UoTCvCMWVBNdXysPqqbff68ImgiKt7IFe5SC0Yk0RNBI69oPk5+BS0+ZT+wGumkz+GGP
 2+FfXLDakxJxGt6gGxbO2QDrDOIE3dUhXVzDeBiNzNQB340Z/JKDMRX8Jon+IrG+7gFB
 pfOA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:content-transfer-encoding;
 bh=HW7fMykvmRW+k4Bny2dMNey8sDQn+zKuQTGe/0YzjFU=;
 b=Fahz79gNjrzmX755jf4VQkk6uT+lqisnvNgp0yacCdu4oxv4waJ7pe0atvJP6lba2d
 qM/dXeiImoQkovYCASG/7Ug5kldfKhrjeIxDJB7SmxFsBXX5pggoToTiIIhoTiGlYuvm
 Fv8O3E7Q5moXGInjdUjSaJWuA6Y1qIkaBQ7LY3cOU4mhZmtVkPt6M91LQXYlkjJViW7U
 kMyMKgPOKyuGQ9xDIfiaPqUyiDQxe4KNyaIAKOB71oLuP/4D9mdQIdzM13W+I22319mt
 HtyPMNQvg4hiHj0Pi2ov/1zK3hqd1KxPDai993g8PTelXRCTfmUJaomYo/o9jNMARdN5
 DGlg==
X-Gm-Message-State: AOAM531tYaRnu1ZY8Ovw1tJ1RAQ57WMIYklEnJrUqmalub+9ztRl4xQh
 JwABpxSvIu12sK2rdwQQaNFl8YcVjA8fEtEEToY=
X-Google-Smtp-Source: ABdhPJx5VHccKsBEcGjIA630UVE4l7Woo58/vh44oFWYBwxRd55/gguWgd08pyinkqlAd+52va/68K9osjKsCti187A=
X-Received: by 2002:a5b:410:: with SMTP id m16mr21437382ybp.309.1598457525214; 
 Wed, 26 Aug 2020 08:58:45 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Wed, 26 Aug 2020 08:58:44 -0700
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <d50c2a84-398c-1ee5-0c26-48158d32ec3e@HIDDEN>
References: <399f4416-31d4-2b8a-556f-43a9e3d4a559@HIDDEN>
 <d50c2a84-398c-1ee5-0c26-48158d32ec3e@HIDDEN>
MIME-Version: 1.0
Date: Wed, 26 Aug 2020 08:58:44 -0700
Message-ID: <CADwFkmmR-EN4AaDmesCA0zkJTMo+c1iJfsC_Nr=nhnKnEZmkBA@HIDDEN>
Subject: Re: bug#42169: is a duplicate to bug#28640
To: =?UTF-8?B?SGFyYWxkIErDtnJn?= <haj@HIDDEN>, 42169 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42169
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

forcemerge 28640 42169
thanks

Harald J=C3=B6rg <haj@HIDDEN> writes:

> Only now I noticed that the same bug had already been reported
> in Bug#28640.

Thanks, I'm merging these bugs.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42169; Package emacs. Full text available.

Message received at 42169 <at> debbugs.gnu.org:


Received: (at 42169) by debbugs.gnu.org; 26 Aug 2020 15:44:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 26 11:44:55 2020
Received: from localhost ([127.0.0.1]:40540 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kAxbb-0001uZ-MZ
	for submit <at> debbugs.gnu.org; Wed, 26 Aug 2020 11:44:55 -0400
Received: from mout01.posteo.de ([185.67.36.65]:54090)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <haj@HIDDEN>) id 1kAxbY-0001uK-H2
 for 42169 <at> debbugs.gnu.org; Wed, 26 Aug 2020 11:44:54 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 3C328160062
 for <42169 <at> debbugs.gnu.org>; Wed, 26 Aug 2020 17:44:46 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.de; s=2017;
 t=1598456686; bh=7oKRyJqpfRRAryOdmxXQM7fjkvE8Iln+1L2UQviWAnc=;
 h=To:From:Subject:Autocrypt:Date:From;
 b=TKClFAsIHwlv9spKZE8jjRSU/D2DJyPdXRvAhgz34T9M21c/0QJrUt4AjL3xFEbOd
 9UBP9+/5EVCUAkeQW6USHHB9VXKaVO7SLFlzELwdpHTyxnBcjGS8HhPQH+7nSnH9FD
 wP967G7b8NZkQ1zC5eKjddQ7D3Wa9tK+rsUK1bIyx7ehmB7T5qnC1+cCwvaMIHM3QT
 WvA5EnPcgzYnRvoFxX6FK2OLzItVI5DhuSIwLSAbV5AlEyr+sU2AAdP7acjeguH+lr
 cWnUWN8QShwywrowkPIdNszo5GlZtamO8hplO0/kw7AchpKqZMbnvNtIQqN6fJUJdN
 5KvW20M4Yv7Gg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Bc9Cd5JbDz6tmv
 for <42169 <at> debbugs.gnu.org>; Wed, 26 Aug 2020 17:44:45 +0200 (CEST)
To: 42169 <at> debbugs.gnu.org
From: =?UTF-8?Q?Harald_J=c3=b6rg?= <haj@HIDDEN>
Subject: Bug#42169 is a duplicate to bug#28640
Autocrypt: addr=haj@HIDDEN; keydata=
 mQINBF0DVrIBEAC7TRlIilBg/5Dx7R2rV4FBDEavbyMT2cS2wWyksh7JA8e17LNmTdakf+Bm
 u6C2m6+frolteYRlkreoyAg0fj/5tDw/s5dJDw3tM0b+m/pj2HcwTSRpQSEy5lBiCg11E6Mt
 F9UngCfkGtJzu8PBWXc1RDQVBwRn5MZbpMZZatE8NOq9AA3Yg6sY11Ez3xIvYU2R7a4OSxmc
 RJV2+dhdQ4oOTBIGQ2urQSU81kyRtkx+/Yh8WefMrk9nF3nzYziLS53euCAXyzklwYmD6Li3
 XSu7wYp5fISky9DK6DPFK7h4RXEL4GFAhy31ehrVnNTcGRohM1Dm9BV9dwXkwlaeT3q0X+nE
 SXVqPDHtv748bXNIg2WVCZ0WgShcA46XVlSE9Fm+w0HI/1m1L4BaMmQ7gyK5dEchbhxohkk0
 AqC3hEJ4ULRidrsCoCWGMFKiOIb9rjeC00vhrUkVJDkPWEGLXjhnRQykb6cESko0rPrSDLqX
 9YqaNQ6KO9Un6uogE7YnXYg35EXJ8ORdX257IbXNbFVpgM8FFsl48WV3Pl9WNdADhnnOrz3O
 wzyK58i/BTsnjVX8ghbWkQcPQ2Kprt+4YR2trEi7TM5Uqzzrg0vp7Oe/9KZBxdxCE67thV7h
 ElW3CHb4q6o31b4cFmLbtFesSy+hnUU4UymgHgi/hvhxioBxIQARAQABtBxIYXJhbGQgSsO2
 cmcgPGhhakBwb3N0ZW8uZGU+iQJOBBMBCAA4FiEEIpYEZLQynxF8Q17KN4XzzzqAcpsFAl0D
 VrICGwMFCwkIBwIGFQgJCgsCBBYCAwECHgECF4AACgkQN4XzzzqAcpv0Lw/9H0KfYwkBY1jO
 aE8gBIP7cUGytufW9Kp2o8LsvwvVSq33q7oZANndaEfGV6aaUSATfTYG9PwHNgVY376qyEq8
 n8Gfi5IUmBMsD3ofi7eEcgk6jqNzXXTLm5HNPuqMvi2RPUzn9nR+3f4Vax1je6XEn5oL+ow3
 2nIFgBSRUby/YA5jgu1peZibYwCd9CBJAAoufBFo7GfgSygBWevGWL8Zv6m5lybPIxHUBuhw
 18ZAU218lf+SexwMAy9ULh0K6hTZeLHiIqigIvu1+mz3pql869n7GC00PZIXtDY+s0VEulUZ
 7S8ZVJKTpGv4lrunQ3JydBYt+0pLp5cgioF+3aKPaAsWQizeuLp6nGXNbrneXMlbqEOsdKvV
 NTAKy7sBFH73/brkrWn9LF80oP9ekeO7PVLYLPHmW7Ra2nC8I6R9t5my6V8fBnvqeJt+lQQP
 S0srdPdSJFgmbdBFj+89rVdAg43HkqNpcc8bRUKvBT8UfXmvJ/OPDCVGm2hhoU/nCDrE+nsv
 ZIBnj0SrvkDTZOsrHFyAMgqX4/Zw/RD8B3IjJA4F5aU9kfgT9vjhnstl/oNNbDUceB4rYVoi
 f9oLEEY7KMUgL303JgrgBq7Shtvv0NNqcZb1nefMC4krNZpMHW257PwhIgz1Ofl/38yNguKh
 r4Hl40J3cCOwNxnnyAWaE5m0DWhhakBwb3N0ZW8uZGWJAk4EEwEKADgWIQQilgRktDKfEXxD
 Xso3hfPPOoBymwUCXWzAvgIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRA3hfPPOoBy
 m1LuEACVTqDi5AtVFzaUpVo9spdwoPKpZmXM7WK3MHIQ0gpwDEj0E2lJVBG9qqo1IPumnqwf
 lH5FY8gS+iT8lknGB4VyCNOefPm3v8dOnWqFi26lodspkWGFOcFw4Nx0vuF+nNGWZyQOkT1T
 +OOOUeyF7Vd4pdJr3EoTZ9aQyH5p1GSmlMuV8PqD7wCIWKwKQQl7N2lqgALfESK5ImBv3AKe
 A/5jiRRy3DZBAvop/IyTmq6k9rrmwHu6HHkPmubLqpncrYPdUOy1Qp2jsY7FBL0as/XU6JSe
 X0mAK/SJtPRV5tJlJXEZS+x/1yiBaRhjWFLyRWyKOo6Z2ehGrtuKCo3IbsJvvQBRtQP5LWzY
 md0/Ac1FlCrKoLXoW8E3+cjNZQNiulrE0uq/+VDgAbPeCG1xKnlgocd8CvCeUzIc6u0/wiv/
 9NJCJSx6eCocBAP5SgGv4V4GgMBXT66iaQu6D14ErwjPAXFHYbRXZY9ApAvjvaocLRFXuy5S
 9mrfS84kvOiCtDcN63xeTFhlv/ztZzB1s+qiLj9QcdQcdVEGhCIb+WPpyWMg4zwuKPn6Ov+s
 O1siqS5owNCxsLui1b5qAoeQHh408ziVr1I7p3nrbdiJJxp0BqzFClR3KGBKJI8H7nd4NQuS
 tgWj8vM2j54pkzYDQGXZFahXwK1jH8SheQ7R98FT87kCDQRdA1ayARAAooZdrnmvf4HaJTL9
 nfDGTCM0iNUttovG5VQPUXUI70eaeAr+PM0C8NvVKNdsy/RRlX+Om95dg4CmYrM32DDuinIB
 c0gLAS6RKKYHe5fo2Ez3IQWqNAjGyfIC1v0D9lxwLhyf0CY+1CvKyigqgQFekGXyQV8t8FMO
 B+Uvu1hRc6UQVMtzEsNpYsxMpZAChakVcD4B5ZSn995TSXt1EEyeX5wU/40Omph1zz4sn0DW
 fUczVwbh2ElLbs54PyQyCSB/UkeYyqxU9wefpd9mrsRqWYJMPrrFu1/W4uocrH1W0ObZncFV
 29g3JNKR3bGVCxhAYGODND2z5hDCxSDWaUJ074K76YqrSEBv/tQzr1N/f5uWPCOJXX69edie
 whRMBA5Gwja4s2qsKGjSxxgFuIPdyoo4+soaHPdLRMjGn7Qyh8zihw4KolQ3chXgCDsRiPu7
 E3QNfWJMKB0ebQCa4CK5rB8HGEWFMJNI3E+UbZoe1CrnOSBdd/Rv4ED5HPw69rbUddQSuLF7
 A12LqPQjuK+ZeI9MHYEBIq8pRzUGJJmDmJ3cOf9GaF5esfweidTNo3CEiSKkB7ccBSoOWECm
 KTGKlsraFnpps68wlz8UMwNEvumG4JZwmTa10qj7PDu/W0H6nH3egWbrfqUh29kspVrlfoqE
 20EPCcUtCaayB3lZdLsAEQEAAYkCNgQYAQgAIBYhBCKWBGS0Mp8RfENeyjeF8886gHKbBQJd
 A1ayAhsMAAoJEDeF8886gHKbPZ8QAI16XfXtSGcMDjm5/2M0qLNTpCcPCVGbKlWdshJPt9gH
 QcQKHXrHEl4kTdBFB15LzHIqfcjbhMxdxEPqU+3wpz9UVIEUHQ+9+sFMU79CXGCPMOz6bo44
 UXo4bbe0AdX7pLmdZnYce+wAlUEYlzBgf+5tA62RqgB4/kDgk8TX9LZKpxUp5zUhUTac6o2b
 NVhf77jFz/gGSEdo9DFxXyZOnvW5sy71cSXaYvecCX4Zkt1PIt6Je8FPrZB18m7204/5abHA
 FcekJd+WfxbLBpiidIsPqEGhjQuH3NE7A/YIYcYno0gasjjOl9voOgF63gWq0rU9DXPYzAEo
 T0X5U61d1MieiGzszbnAiFjuiCPOgEAZ5UOG1jgk0brXOGXcB6uLUKXdHY/Hew2Qw2UN4jsF
 qgaVHmgokTr0ml7VVP2x/QTsFB7+mCbJvKIy7wuaRUN8/YELIrcBo9TlZbHFhQuF/nUloLFy
 qWfnjERPf3F15raGx0mGtxyYmgjRGAmtn11fNUrvrPxvbrVOWq7kcSukdtHavH3J6VBv+8kd
 YFQMaa1HVZ6Fhp50GYB+zZ29C7gtNIe0rn59xAcsBab/TyNjpG4BP4D0oGCl0+TTgzNIemji
 AsnleF4J+/xNczT+QQusHYtByZ6FRWqKPxLl3NE9h5e4Uy5QpwXCCI97ZA248Hmp
Message-ID: <d50c2a84-398c-1ee5-0c26-48158d32ec3e@HIDDEN>
Date: Wed, 26 Aug 2020 17:44:44 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.11.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42169
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Only now I noticed that the same bug had already been reported
in Bug#28640.







Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42169; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Jul 2020 19:36:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 02 15:36:55 2020
Received: from localhost ([127.0.0.1]:55689 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jr50v-0007xm-NN
	for submit <at> debbugs.gnu.org; Thu, 02 Jul 2020 15:36:55 -0400
Received: from lists.gnu.org ([209.51.188.17]:39000)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <haj@HIDDEN>) id 1jr43z-0006SE-3N
 for submit <at> debbugs.gnu.org; Thu, 02 Jul 2020 14:36:00 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:36910)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <haj@HIDDEN>) id 1jr43y-0004Jn-JL
 for bug-gnu-emacs@HIDDEN; Thu, 02 Jul 2020 14:35:58 -0400
Received: from mout02.posteo.de ([185.67.36.66]:54309)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <haj@HIDDEN>) id 1jr43v-0003YO-Sn
 for bug-gnu-emacs@HIDDEN; Thu, 02 Jul 2020 14:35:58 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 33BB82400FC
 for <bug-gnu-emacs@HIDDEN>; Thu,  2 Jul 2020 20:35:52 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.de; s=2017;
 t=1593714952; bh=4RNA0DdZvPrXDZ+vrwCyuTqSzgXidB3eV5PsKSyAjL8=;
 h=To:Subject:From:Autocrypt:Date:From;
 b=bRAerz7QM+lp1vsXdczx0atW6TED14qcmk4kwIw4iHKpeCzmp5IJ4VpI22VURMBBo
 7puff/FPImMrGe4XTTnQGK9EGorIinoxhIwmuqSml6e7hfCpuFALJlz6b0eYK0oKzD
 x6Kt4GwybzOsqaB0lEjjjwXCbJHq9M3D3h1Z3/x6yn0Js0At/dBp0rtYeX6Cs784kL
 mRTabeFy4s7/02nmhD5QREXc2Pf86Eqb43ix2EyzGhrgvLlOUCdnSMQuE/sPaZjZd1
 e2xVmkQpioL8zC13jTqgXuZNyASg/V3oJOVyeDJQyPbu9eWcV8Ke84KA+3FDY+9Lq9
 eF52oMxtXImkw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 49yRcR2bb2z9rxj
 for <bug-gnu-emacs@HIDDEN>; Thu,  2 Jul 2020 20:35:50 +0200 (CEST)
To: bug-gnu-emacs@HIDDEN
Subject: 26.1; cperl-mode: Syntax "package NAME { ... }" not recognized
From: =?UTF-8?Q?Harald_J=c3=b6rg?= <haj@HIDDEN>
Autocrypt: addr=haj@HIDDEN; keydata=
 mQINBF0DVrIBEAC7TRlIilBg/5Dx7R2rV4FBDEavbyMT2cS2wWyksh7JA8e17LNmTdakf+Bm
 u6C2m6+frolteYRlkreoyAg0fj/5tDw/s5dJDw3tM0b+m/pj2HcwTSRpQSEy5lBiCg11E6Mt
 F9UngCfkGtJzu8PBWXc1RDQVBwRn5MZbpMZZatE8NOq9AA3Yg6sY11Ez3xIvYU2R7a4OSxmc
 RJV2+dhdQ4oOTBIGQ2urQSU81kyRtkx+/Yh8WefMrk9nF3nzYziLS53euCAXyzklwYmD6Li3
 XSu7wYp5fISky9DK6DPFK7h4RXEL4GFAhy31ehrVnNTcGRohM1Dm9BV9dwXkwlaeT3q0X+nE
 SXVqPDHtv748bXNIg2WVCZ0WgShcA46XVlSE9Fm+w0HI/1m1L4BaMmQ7gyK5dEchbhxohkk0
 AqC3hEJ4ULRidrsCoCWGMFKiOIb9rjeC00vhrUkVJDkPWEGLXjhnRQykb6cESko0rPrSDLqX
 9YqaNQ6KO9Un6uogE7YnXYg35EXJ8ORdX257IbXNbFVpgM8FFsl48WV3Pl9WNdADhnnOrz3O
 wzyK58i/BTsnjVX8ghbWkQcPQ2Kprt+4YR2trEi7TM5Uqzzrg0vp7Oe/9KZBxdxCE67thV7h
 ElW3CHb4q6o31b4cFmLbtFesSy+hnUU4UymgHgi/hvhxioBxIQARAQABtBxIYXJhbGQgSsO2
 cmcgPGhhakBwb3N0ZW8uZGU+iQJOBBMBCAA4FiEEIpYEZLQynxF8Q17KN4XzzzqAcpsFAl0D
 VrICGwMFCwkIBwIGFQgJCgsCBBYCAwECHgECF4AACgkQN4XzzzqAcpv0Lw/9H0KfYwkBY1jO
 aE8gBIP7cUGytufW9Kp2o8LsvwvVSq33q7oZANndaEfGV6aaUSATfTYG9PwHNgVY376qyEq8
 n8Gfi5IUmBMsD3ofi7eEcgk6jqNzXXTLm5HNPuqMvi2RPUzn9nR+3f4Vax1je6XEn5oL+ow3
 2nIFgBSRUby/YA5jgu1peZibYwCd9CBJAAoufBFo7GfgSygBWevGWL8Zv6m5lybPIxHUBuhw
 18ZAU218lf+SexwMAy9ULh0K6hTZeLHiIqigIvu1+mz3pql869n7GC00PZIXtDY+s0VEulUZ
 7S8ZVJKTpGv4lrunQ3JydBYt+0pLp5cgioF+3aKPaAsWQizeuLp6nGXNbrneXMlbqEOsdKvV
 NTAKy7sBFH73/brkrWn9LF80oP9ekeO7PVLYLPHmW7Ra2nC8I6R9t5my6V8fBnvqeJt+lQQP
 S0srdPdSJFgmbdBFj+89rVdAg43HkqNpcc8bRUKvBT8UfXmvJ/OPDCVGm2hhoU/nCDrE+nsv
 ZIBnj0SrvkDTZOsrHFyAMgqX4/Zw/RD8B3IjJA4F5aU9kfgT9vjhnstl/oNNbDUceB4rYVoi
 f9oLEEY7KMUgL303JgrgBq7Shtvv0NNqcZb1nefMC4krNZpMHW257PwhIgz1Ofl/38yNguKh
 r4Hl40J3cCOwNxnnyAWaE5m0DWhhakBwb3N0ZW8uZGWJAk4EEwEKADgWIQQilgRktDKfEXxD
 Xso3hfPPOoBymwUCXWzAvgIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRA3hfPPOoBy
 m1LuEACVTqDi5AtVFzaUpVo9spdwoPKpZmXM7WK3MHIQ0gpwDEj0E2lJVBG9qqo1IPumnqwf
 lH5FY8gS+iT8lknGB4VyCNOefPm3v8dOnWqFi26lodspkWGFOcFw4Nx0vuF+nNGWZyQOkT1T
 +OOOUeyF7Vd4pdJr3EoTZ9aQyH5p1GSmlMuV8PqD7wCIWKwKQQl7N2lqgALfESK5ImBv3AKe
 A/5jiRRy3DZBAvop/IyTmq6k9rrmwHu6HHkPmubLqpncrYPdUOy1Qp2jsY7FBL0as/XU6JSe
 X0mAK/SJtPRV5tJlJXEZS+x/1yiBaRhjWFLyRWyKOo6Z2ehGrtuKCo3IbsJvvQBRtQP5LWzY
 md0/Ac1FlCrKoLXoW8E3+cjNZQNiulrE0uq/+VDgAbPeCG1xKnlgocd8CvCeUzIc6u0/wiv/
 9NJCJSx6eCocBAP5SgGv4V4GgMBXT66iaQu6D14ErwjPAXFHYbRXZY9ApAvjvaocLRFXuy5S
 9mrfS84kvOiCtDcN63xeTFhlv/ztZzB1s+qiLj9QcdQcdVEGhCIb+WPpyWMg4zwuKPn6Ov+s
 O1siqS5owNCxsLui1b5qAoeQHh408ziVr1I7p3nrbdiJJxp0BqzFClR3KGBKJI8H7nd4NQuS
 tgWj8vM2j54pkzYDQGXZFahXwK1jH8SheQ7R98FT87kCDQRdA1ayARAAooZdrnmvf4HaJTL9
 nfDGTCM0iNUttovG5VQPUXUI70eaeAr+PM0C8NvVKNdsy/RRlX+Om95dg4CmYrM32DDuinIB
 c0gLAS6RKKYHe5fo2Ez3IQWqNAjGyfIC1v0D9lxwLhyf0CY+1CvKyigqgQFekGXyQV8t8FMO
 B+Uvu1hRc6UQVMtzEsNpYsxMpZAChakVcD4B5ZSn995TSXt1EEyeX5wU/40Omph1zz4sn0DW
 fUczVwbh2ElLbs54PyQyCSB/UkeYyqxU9wefpd9mrsRqWYJMPrrFu1/W4uocrH1W0ObZncFV
 29g3JNKR3bGVCxhAYGODND2z5hDCxSDWaUJ074K76YqrSEBv/tQzr1N/f5uWPCOJXX69edie
 whRMBA5Gwja4s2qsKGjSxxgFuIPdyoo4+soaHPdLRMjGn7Qyh8zihw4KolQ3chXgCDsRiPu7
 E3QNfWJMKB0ebQCa4CK5rB8HGEWFMJNI3E+UbZoe1CrnOSBdd/Rv4ED5HPw69rbUddQSuLF7
 A12LqPQjuK+ZeI9MHYEBIq8pRzUGJJmDmJ3cOf9GaF5esfweidTNo3CEiSKkB7ccBSoOWECm
 KTGKlsraFnpps68wlz8UMwNEvumG4JZwmTa10qj7PDu/W0H6nH3egWbrfqUh29kspVrlfoqE
 20EPCcUtCaayB3lZdLsAEQEAAYkCNgQYAQgAIBYhBCKWBGS0Mp8RfENeyjeF8886gHKbBQJd
 A1ayAhsMAAoJEDeF8886gHKbPZ8QAI16XfXtSGcMDjm5/2M0qLNTpCcPCVGbKlWdshJPt9gH
 QcQKHXrHEl4kTdBFB15LzHIqfcjbhMxdxEPqU+3wpz9UVIEUHQ+9+sFMU79CXGCPMOz6bo44
 UXo4bbe0AdX7pLmdZnYce+wAlUEYlzBgf+5tA62RqgB4/kDgk8TX9LZKpxUp5zUhUTac6o2b
 NVhf77jFz/gGSEdo9DFxXyZOnvW5sy71cSXaYvecCX4Zkt1PIt6Je8FPrZB18m7204/5abHA
 FcekJd+WfxbLBpiidIsPqEGhjQuH3NE7A/YIYcYno0gasjjOl9voOgF63gWq0rU9DXPYzAEo
 T0X5U61d1MieiGzszbnAiFjuiCPOgEAZ5UOG1jgk0brXOGXcB6uLUKXdHY/Hew2Qw2UN4jsF
 qgaVHmgokTr0ml7VVP2x/QTsFB7+mCbJvKIy7wuaRUN8/YELIrcBo9TlZbHFhQuF/nUloLFy
 qWfnjERPf3F15raGx0mGtxyYmgjRGAmtn11fNUrvrPxvbrVOWq7kcSukdtHavH3J6VBv+8kd
 YFQMaa1HVZ6Fhp50GYB+zZ29C7gtNIe0rn59xAcsBab/TyNjpG4BP4D0oGCl0+TTgzNIemji
 AsnleF4J+/xNczT+QQusHYtByZ6FRWqKPxLl3NE9h5e4Uy5QpwXCCI97ZA248Hmp
Message-ID: <399f4416-31d4-2b8a-556f-43a9e3d4a559@HIDDEN>
Date: Thu, 2 Jul 2020 20:35:49 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.9.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Language: en-US
Content-Transfer-Encoding: 7bit
Received-SPF: pass client-ip=185.67.36.66; envelope-from=haj@HIDDEN;
 helo=mout02.posteo.de
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/07/02 14:35:52
X-ACL-Warn: Detected OS   = Linux 3.11 and newer
X-Spam_score_int: -43
X-Spam_score: -4.4
X-Spam_bar: ----
X-Spam_report: (-4.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_MED=-2.3, RCVD_IN_MSPIKE_H4=-0.01, RCVD_IN_MSPIKE_WL=-0.01,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001, URIBL_BLOCKED=0.001 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 02 Jul 2020 15:36:51 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

How to reproduce in emacs -Q:

Enter the following code in a buffer under cperl-mode:
--------------------------
package Foo {
    sub bar { ...; }
}
sub baz { ...; }
--------------------------

Then mark the whole buffer and run M-x indent-buffer.
"sub baz" gets indented, as if in a continued statement.
Also, in imenu, sub bar is not attributed to package Foo.

Background: As of Perl 5.14, the package declaration can have the syntax
"package NAME BLOCK" (as in this example) and also "package NAME VERSION
BLOCK", where VERSION is a stringified Perl version object.  In
addition, after the end of the block (sub baz in the example above), the
package from before package Foo is valid again.

I don't have a comprehensive patch ready.



In GNU Emacs 26.1 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.5)
 of 2019-09-23, modified by Debian built on x86-grnet-01
Windowing system distributor 'The X.Org Foundation', version 11.0.12004000
System Description:	Debian GNU/Linux 10 (buster)

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
 'configure --build x86_64-linux-gnu --prefix=/usr
 --sharedstatedir=/var/lib --libexecdir=/usr/lib
 --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --enable-libsystemd --with-pop=yes
 --enable-locallisppath=/etc/emacs:/usr/local/share/emacs/26.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/26.1/site-lisp:/usr/share/emacs/site-lisp
 --with-sound=alsa --without-gconf --with-mailutils --build
 x86_64-linux-gnu --prefix=/usr --sharedstatedir=/var/lib
 --libexecdir=/usr/lib --localstatedir=/var/lib
 --infodir=/usr/share/info --mandir=/usr/share/man --enable-libsystemd
 --with-pop=yes
 --enable-locallisppath=/etc/emacs:/usr/local/share/emacs/26.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/26.1/site-lisp:/usr/share/emacs/site-lisp
 --with-sound=alsa --without-gconf --with-mailutils --with-x=yes
 --with-x-toolkit=gtk3 --with-toolkit-scroll-bars 'CFLAGS=-g -O2
 -fdebug-prefix-map=/build/emacs-StqULU/emacs-26.1+1=.
-fstack-protector-strong
 -Wformat -Werror=format-security -Wall' 'CPPFLAGS=-Wdate-time
 -D_FORTIFY_SOURCE=2' LDFLAGS=-Wl,-z,relro'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS NOTIFY
ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 THREADS LIBSYSTEMD LCMS2

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib dired dired-loaddefs
format-spec rfc822 mml easymenu mml-sec password-cache epa derived epg
epg-config gnus-util rmail rmail-loaddefs mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils elec-pair time-date
mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 95830 9692)
 (symbols 48 20575 1)
 (miscs 40 48 143)
 (strings 32 28463 1080)
 (string-bytes 1 745595)
 (vectors 16 14736)
 (vector-slots 8 501908 9354)
 (floats 8 49 82)
 (intervals 56 261 0)
 (buffers 992 11))




Acknowledgement sent to Harald Jörg <haj@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#42169; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 26 Aug 2020 16:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.